﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight.Command;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace RadEventToCommandExamples
{
    public partial class GridBlendInteraction : UserControl
    {
        public ObservableCollection<ExampleDataItem> GridItems;
        public ObservableCollection<string> ListItems;
        public RelayCommand<object> TestCommand { get; set; }

        public GridBlendInteraction()
        {
            InitializeComponent();

            //TestCommand = new RelayCommand<object>(DoThis);

            this.Loaded +=new RoutedEventHandler(GridBlendInteraction_Loaded);
        }

        void  GridBlendInteraction_Loaded(object sender, RoutedEventArgs e)
        {

        }

        public void DoThis(object testObject)
        {
            GridViewRowEditEndedEventArgs e = testObject as GridViewRowEditEndedEventArgs;

            if (e.EditAction == GridViewEditAction.Commit)
            {
                ExampleDataItem edi = e.EditedItem as ExampleDataItem;

                ListItems.Add(string.Format("Item {0} edited with name {1}, date {2}, and availability {3}", edi.ID.ToString(), edi.Name, edi.Date.ToShortDateString(), edi.IsAvailable.ToString()));
            }
        }
    }
}
